Bug 130371 - NVidia and preferred screen resolution
NVidia and preferred screen resolution
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-19 14:26 EDT by David Masterson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 17:32:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Masterson 2004-08-19 14:26:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Unsure if this is directly related to GDM -- please move as appropriate.

I have a dual-CPU AMD Athlon system with 1Gb of memory and an ASUS
V7100 (NVidia GeForce-2 MX based) video card and a ViewSonic VA720
monitor.  I am running a very recent version of the NVidia display
driver from their website.  The system appears to work with two major
exceptions.  The first is that the system doesn't poweroff when
shutdown (bug filed elsewhere).  The second is the preferred screen
resolution "hangs over" into the logout.

On my system, I have two accounts.  One prefers a screen resolution of
1280x1024 while the other prefers a resolution of 1024x768.  The
standard resolution for the system is 1280x1024.  When I log out of
the second account, the login screen fails to reset the screen to
1280x1024, but it believes that is the resolution, so part of the
login screen is off the monitor.  If I login to the first account, the
screen is properly reset and everything returns to normal until I
login to the second account again.

I believe this problem was also true in FC1 with the latest NVidia
driver (at that time).

Version-Release number of selected component (if applicable):
2.6.0.0-3

How reproducible:
Always

Steps to Reproduce:
1.Configure users with different preferred screen resolutions.
2.Login to the first user and see if the resolution is proper.
3.Login to other users and see if the resolution changes appropriately.
    

Actual Results:  Login screen is not set to proper resolution between
logins.

Expected Results:  Login screen should always look good for the screen.

Additional info:

This may be an NVidia driver problem.  Perhaps it is not resetting
properly or perhaps FC2 is not telling it to reset properly.
Comment 1 Matthew Miller 2005-04-26 11:55:59 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Ray Strode [halfline] 2005-05-11 17:32:10 EDT
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.

Note You need to log in before you can comment on or make changes to this bug.